/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
13/01/2016

This program configires the 4 power output pins (D5, D6, D9, D10) to drive a stepper motor
We will drive all the 4 pins with the usage of the stepper motor driver function of ARduino

Connect Phase 1 of the stepper motor between D5 and D6
Connect Phase 2 of the stepper motor between D9 and D10

Look at the worksheet 0-500 STEPPER on how stepper motors should be connected
Be aware that the maximum output current of 600mA for these 4 power output pins may not be exceeded.

This program makes the stepper motor turn 40x4 steps forward and then 40x4 steps backwards

Be aware that the voltage at these 4 power output pins needs to be set with jumper 2
*/

#include <Stepper.h>

const int stepsPerRevolution = 100;  // change this to fit the number of steps per revolution
// for your motor

// initialize the stepper library on pins 8 through 11:
Stepper myStepper(stepsPerRevolution, 5, 6, 9, 10);

void setup() 
{
  // set the speed at 60 rpm:
  myStepper.setSpeed(60);

}

void loop() {
  // step one revolution  in one direction:
  myStepper.step(stepsPerRevolution);
  delay(500);

  // step one revolution in the other direction:
  myStepper.step(-stepsPerRevolution);
  delay(500);
}

